%global modulename extglob

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-extglob
Version:        2.0.4
Release:        1%{?dist}
Summary:        Extended glob support for JavaScript. Adds (almost) the expressive power of regular expressions to glob patterns.

License:        MIT
URL:            https://github.com/micromatch/extglob
Source0:        https://registry.npmjs.org/extglob/-/extglob-2.0.4.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(array-unique) >= 0.3.2 with npmlib(array-unique) < 0.4.0))
BuildRequires:  ((npmlib(define-property) >= 1.0.0 with npmlib(define-property) < 2.0.0))
BuildRequires:  ((npmlib(expand-brackets) >= 2.1.4 with npmlib(expand-brackets) < 3.0.0))
BuildRequires:  ((npmlib(extend-shallow) >= 2.0.1 with npmlib(extend-shallow) < 3.0.0))
BuildRequires:  ((npmlib(fragment-cache) >= 0.2.1 with npmlib(fragment-cache) < 0.3.0))
BuildRequires:  ((npmlib(regex-not) >= 1.0.0 with npmlib(regex-not) < 2.0.0))
BuildRequires:  ((npmlib(snapdragon) >= 0.8.1 with npmlib(snapdragon) < 0.9.0))
BuildRequires:  ((npmlib(to-regex) >= 3.0.1 with npmlib(to-regex) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Extended glob support for JavaScript. Adds (almost) the expressive power of regular expressions to glob patterns.

%package 2.0.4
Summary:        Extended glob support for JavaScript. Adds (almost) the expressive power of regular expressions to glob patterns.


%description 2.0.4
Extended glob support for JavaScript. Adds (almost) the expressive power of regular expressions to glob patterns.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%doc changelog.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.0.4
%doc README.md
%doc changelog.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 2.0.4-1
- Package automatically generated by npm2srpm
